bpftrace (0.23.5-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for sframe soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Jan 2026 12:44:34 +0100

bpftrace (0.23.5-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2121904).
    Remaining changes:
    - Enable the testsuite (LP #2052809)
      The testsuite is only enabled for autopkgtest, not at build time.
      This adds two build dependencies: xxd+pahole, needed to build the tests.
    - Add symbol dumps for bpftrace and bpftrace-aotrt
      + d/helpers/dump_debug_symbols.sh: a shell script
        to be used in d/rules to dump the debug symbols of bpftrace
        and bpftrace-aotrt.
      + d/rules: uses the shell script created by the above patch to
        dump the debug symbols, which was not happening earlier due to
        exclusion from dh_strip and custom strip commands.
      (LP #2069953)
    - debian/patches/disable-armhf.patch:
      Comment out some tests failing to build on armhf
    - debian/patches/disable_failing_tests.patch
      debian/tests/control
      Disable some failing tests to have the whole testsuite passing.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 02 Sep 2025 22:47:54 +0200

bpftrace (0.23.5-1) unstable; urgency=medium

  * New upstream release.
  * d/control: build-depends on libsframe-dev. Closes: #1110820.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Aug 2025 08:34:25 +0200

bpftrace (0.23.2-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libsframe soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2025 11:29:05 +0200

bpftrace (0.23.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111982).
    Updated changes:
    - debian/patches/disable_failing_tests.patch
      + This merge heavily refreshed the patch to accomodate fixed and newly
        failing tests. Some tests are disabled only for some specific archs
        when possible.
    - Enable the testsuite (LP #2052809)
      The testsuite is only enabled for autopkgtest, not at build time.
      This adds two build dependencies: xxd+pahole, needed to build the tests.
      Use CI=true to skip test known to be failing on CI.
      + This merge added the now required python3-looseversion dependency.
      + This merge added CTEST_OUTPUT_ON_FAILURE=ON to help debug failing tests.
    Remaining untouched changes:
    - debian/patches/disable-armhf.patch
      Fix armhf build failure.
    - Add symbol dumps for bpftrace and bpftrace-aotrt
      + d/helpers/dump_debug_symbols.sh: a shell script
        to be used in d/rules to dump the debug symbols of bpftrace
        and bpftrace-aotrt.
      + d/rules: uses the shell script created by the above patch to
        dump the debug symbols, which was not happening earlier due to
        exclusion from dh_strip and custom strip commands.
      (LP #2069953)
    Dropped changes:
    - debian/patches/disable-basic.defines-work-and-probe.kprobe_offset_f.patch
      debian/patches/disable-call.constraints-and-variable.tracepoint-tes.patch
      + Merged with the disable_failing_tests patch.
    - debian/patches/fix-build-ppc64el-s390x.patch
      + ppc64el and s390x don't need that anymore to build.
    - debian/patches/link-shared-llvm.patch:
      Really link against shared LLVM (LP #2086104)
      + This was fixed by upstream.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 24 Jun 2025 16:14:51 +0200

bpftrace (0.23.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Apr 2025 17:36:34 +0200

bpftrace (0.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 13 Apr 2025 17:46:24 +0200

bpftrace (0.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 17 Jan 2025 22:38:09 +0100

bpftrace (0.21.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 22 Dec 2024 18:43:30 +0100

bpftrace (0.21.2-2ubuntu4) plucky; urgency=medium

  * No-change rebuild for LLVM 20.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 22:01:24 +0100

bpftrace (0.21.2-2ubuntu3) plucky; urgency=low

  * Add symbol dumps for bpftrace and bpftrace-aotrt
    - d/helpers/dump_debug_symbols.sh: creates a shell script
      to be used in d/rules to dump the debug symbols of bpftrace
      and bpftrace-aotrt.
    - d/rules: uses the shell script created by the above patch to
      dump the debug symbols, which was not happening earlier due to
      exclusion from dh_strip and custom strip commands.
    (LP: #2069953)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 14 Nov 2024 18:27:52 +0530

bpftrace (0.21.2-2ubuntu2) plucky; urgency=medium

  * Really link against shared LLVM (LP: #2086104)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 07 Nov 2024 19:06:19 +0000

bpftrace (0.21.2-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Run testsuite as autopkgtest (LP: #2052809)
    - Really do build the tests, we need them for autopkgtest
    - Disable two tests broken with Linux 6.10 (LP: #2073120)
    - Update failing tests
    - add xxd/pahole, needed to build tests
    - add patch to fix s390x and ppc64el build
    - add patch to fix armhf build failure
    - Use CI=true to skip test known to be failing on CI

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 12:02:16 +0100

bpftrace (0.21.2-2) unstable; urgency=medium

  * d/control: build-depends on unversioned clang. Closes: #1084067.
  * d/rules: static link with libbfd. Closes: #1008727.
  * d/patches: add upstream patch to workaround compilation error.
  * d/patches: add upstream patch for LLVM 19 support.
  * d/rules: disable dh_dwz.

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 Oct 2024 21:08:39 +0200

bpftrace (0.21.2-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Run testsuite as autopkgtest (LP:2052809)
    - Build using LLVM 18.
    - Really do build the tests, we need them for autopkgtest
    - Add patch to fix underlinking of llvm-18
    - Update failing tests
    - Disable two tests broken with Linux 6.10 (LP: #2073120)
    - Ignore dwz errors on armhf
    - Use CI=true to skip test known to be failing on CI

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 14:59:44 +0200

bpftrace (0.21.2-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: fix src/resources/*.h entry.

 -- Vincent Bernat <bernat@debian.org>  Sun, 21 Jul 2024 16:41:16 +0200

bpftrace (0.21.0-1ubuntu6) oracular; urgency=medium

  * Update failing tests
  * Disable two tests broken with Linux 6.10 (LP: #2073120)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 16 Jul 2024 08:26:38 +0000

bpftrace (0.21.0-1ubuntu5) oracular; urgency=medium

  * Ignore dwz errors on armhf
  * Use CI=true to skip test known to be failing on CI
  * Ignore again some test failing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 07:48:12 +0200

bpftrace (0.21.0-1ubuntu4) oracular; urgency=medium

  * Fix a build failure on armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 21:52:04 +0200

bpftrace (0.21.0-1ubuntu2) oracular; urgency=medium

  * Fix a build failure on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 18:59:38 +0200

bpftrace (0.21.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Run testsuite as autopkgtest (LP:2052809)
    - Build using LLVM 18.
    - Really do build the tests, we need them for autopkgtest
    - Cherry pick upstream https://github.com/bpftrace/bpftrace/pull/3267 to
      fix FTBTFS on s390x
    - Add patch to fix underlinking of llvm-18

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 14:19:01 +0200

bpftrace (0.21.0-1) unstable; urgency=medium

  * New upstream release.
    Fix CVE-2024-2313. Closes: #1071748.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Jun 2024 20:47:59 +0200

bpftrace (0.20.2-1ubuntu4) noble; urgency=medium

  * Really do build the tests, we need them for autopkgtest
  * d/patches: Cherry-pick LLVM-18 fixes from upstream (LP: #2060766)
  * Disable newly failing test

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 10 Apr 2024 12:36:37 +0100

bpftrace (0.20.2-1ubuntu3) noble; urgency=medium

  * d/t/control: Run testsuite as autopkgtest (LP:2052809)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 15 Mar 2024 14:48:34 +0000

bpftrace (0.20.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:05 +1100

bpftrace (0.20.2-1ubuntu1) noble; urgency=medium

  * Build using LLVM 18.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2024 18:06:42 +0100

bpftrace (0.20.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Mar 2024 13:39:46 +0100

bpftrace (0.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 30 Jan 2024 06:46:40 +0100

bpftrace (0.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Jan 2024 22:50:01 +0100

bpftrace (0.19.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: build-Depends on LLVM 17. Closes: #1061210.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Jan 2024 22:52:06 +0100

bpftrace (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 19 Sep 2023 20:36:40 +0200

bpftrace (0.17.0-2) unstable; urgency=medium

  * Recommends libc6-dev. Closes: #1034141.
  * Fix manual page suffixes. Closes: #1034139.
  * Fix lintian overrides about unstripped binaries.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Apr 2023 12:59:06 +0200

bpftrace (0.17.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Vincent Bernat ]
  * New upstream release.
  * Use system libbpf.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Feb 2023 21:44:04 +0100

bpftrace (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 31 Aug 2022 15:50:55 +0200

bpftrace (0.15.0-2) unstable; urgency=medium

  * d/control: build-depends on LLVM 14. Closes: #1017674

 -- Vincent Bernat <bernat@debian.org>  Thu, 18 Aug 2022 23:47:45 +0200

bpftrace (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop compilation patch.
  * d/rules: also remove empty /usr/share/bpftrace/tools/old.

 -- Vincent Bernat <bernat@debian.org>  Mon, 30 May 2022 09:05:53 +0200

bpftrace (0.14.1-5) unstable; urgency=medium

  * d/control: build-depends on libdw-dev. Closes: #1010849 (really).

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 May 2022 20:19:43 +0200

bpftrace (0.14.1-4) unstable; urgency=medium

  * d/control: build-depends on libdwarf-dev. Closes: #1010849.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 May 2022 20:08:27 +0200

bpftrace (0.14.1-3) unstable; urgency=medium

  * d/patches: add a patch to fix compilation with libbtf 0.6.0.
    Closes: #1008323.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Apr 2022 21:57:34 +0200

bpftrace (0.14.1-2) unstable; urgency=medium

  * d/control: build-depends on systemtap-sdt-dev. Closes: #1005497.
  * d/control: really build-depends on llvm 13 only.

 -- Vincent Bernat <bernat@debian.org>  Tue, 22 Feb 2022 08:05:40 +0100

bpftrace (0.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 30 Dec 2021 13:45:45 +0100

bpftrace (0.14.0-3) unstable; urgency=medium

  * d/control: build-depends on llvm 13. Closes: #1000937.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Dec 2021 07:11:21 +0100

bpftrace (0.14.0-2) unstable; urgency=medium

  * d/rules: keep BEGIN/END_trigger symbols when stripping.
    Closes: #995817.

 -- Vincent Bernat <bernat@debian.org>  Mon, 15 Nov 2021 08:15:12 +0100

bpftrace (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: build-depends on libcereal-dev.
  * d/control: build-depends on asciidoctor.
  * d/patches: remove patch to fix BEGIN/END_trigger. It does not work
    anymore.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Oct 2021 23:34:48 +0200

bpftrace (0.13.0-2) unstable; urgency=medium

  * d/patches: add back patch to fix BEGIN/END_trigger (Closes: #995817)

 -- Vincent Bernat <bernat@debian.org>  Wed, 06 Oct 2021 15:50:57 +0200

bpftrace (0.13.0-1) unstable; urgency=medium

  * New upstream version. Closes: #995687.
  * d/patches: remove exported symbols, not needed anymore.

 -- Vincent Bernat <bernat@debian.org>  Mon, 04 Oct 2021 08:15:05 +0200

bpftrace (0.11.3-5) unstable; urgency=medium

  * d/control: do not build-depends on libbfd-dev (Closes: #980438)

 -- Vincent Bernat <bernat@debian.org>  Tue, 19 Jan 2021 11:07:36 +0100

bpftrace (0.11.3-4) unstable; urgency=medium

  * d/control: build-depends on libbpf-dev for BTF support (Closes: #980299)

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Jan 2021 16:55:08 +0100

bpftrace (0.11.3-3) unstable; urgency=medium

  * d/control: build-depends on libbfd-dev (Closes: #975867)

 -- Vincent Bernat <bernat@debian.org>  Thu, 26 Nov 2020 19:42:09 +0100

bpftrace (0.11.3-2) unstable; urgency=medium

  * d/control: build-depends on LLVM 11 toolchain (Closes: #974799)

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Nov 2020 07:22:03 +0100

bpftrace (0.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Nov 2020 19:07:38 +0100

bpftrace (0.11.0-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: delete empty /usr/share/bpftrace/tools
  * d/rules: don't rename bpftrace manual page
  * d/patches: ensure BEGIN_trigger symbol is not stripped

 -- Vincent Bernat <bernat@debian.org>  Fri, 24 Jul 2020 09:14:50 +0200

bpftrace (0.10.0-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: upstream now puts man pages in their expected locations.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 May 2020 08:41:18 +0200

bpftrace (0.9.4-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Thu, 27 Feb 2020 22:50:17 +0100

bpftrace (0.9.3-2) unstable; urgency=medium

  * Source-only rebuild.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jan 2020 08:13:51 +0100

bpftrace (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Dec 2019 09:16:59 +0100

bpftrace (0.9.2-3) unstable; urgency=medium

  * d/control: switch to clang 9. Closes: #947436.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Dec 2019 09:10:54 +0100

bpftrace (0.9.2-2) unstable; urgency=medium

  * Bump version to rebuild against newer version of libbpfcc.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Nov 2019 08:22:07 +0100

bpftrace (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 01 Aug 2019 09:06:56 +0200

bpftrace (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 26 Jun 2019 08:31:30 +0200

bpftrace (0.9-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop all patches, applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Mar 2019 19:07:56 +0100

bpftrace (0.8+git60-gccac69c2239b-2) unstable; urgency=medium

  * d/patches: add patch to avoid optimizing away BEGIN/END trigger
    functions.
  * d/patches: add patch to correctly detect kernel headers.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Feb 2019 06:10:27 -0800

bpftrace (0.8+git60-gccac69c2239b-1) unstable; urgency=medium

  * Initial import. Closes: #918120.

 -- Vincent Bernat <bernat@debian.org>  Sun, 03 Feb 2019 12:53:21 +0100
